Bug 874279 - Pre-hub network config screen sometimes shows up even when not needed (race condition)
Pre-hub network config screen sometimes shows up even when not needed (race c...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
All All
unspecified Severity medium
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-07 15:36 EST by Adam Williamson
Modified: 2014-02-05 07:54 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:54:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2012-11-07 15:36:56 EST
For me and at least one other reporter - see http://forums.fedoraforum.org/showpost.php?p=1612035&postcount=138 - the pre-hub network config screen is shown even when it isn't needed.

Both of us have more than one network interface, one of which is a DHCP-able wired connection. So I think this may be the scenario that triggers the bug. If you have a wired connection which can be brought up with no configuration needed, but you _also_ have some other interface which would need configuration to work, you see the pre-hub network config screen, even though you really don't need to. It doesn't really break anything, but it's unnecessary and confusing.
Comment 1 Adam Williamson 2012-11-07 15:39:53 EST
oh, I hit this with Beta TC7, which was 18.24 - nothing in the 18.26 changelog indicates it'd be fixed there.
Comment 2 Adam Williamson 2012-11-07 15:40:34 EST
...though bcl says it might be, so I'll check with smoke15.
Comment 3 Adam Williamson 2012-11-07 15:41:35 EST
actually, it's 18.27 stuff.
Comment 4 Radek Vykydal 2012-11-08 03:36:55 EST
(In reply to comment #0)
 
> Both of us have more than one network interface, one of which is a DHCP-able
> wired connection. So I think this may be the scenario that triggers the bug.
> If you have a wired connection which can be brought up with no configuration
> needed, but you _also_ have some other interface which would need
> configuration to work, you see the pre-hub network config screen, even
> though you really don't need to. It doesn't really break anything, but it's
> unnecessary and confusing.

The real cause is most probably described in A) of https://bugzilla.redhat.com/show_bug.cgi?id=873468#c12. Additional non-configured iface shouldn't matter.
We don't have a fix for this yet.
Comment 5 Adam Williamson 2012-11-09 20:34:36 EST
Adjusting summary to be more accurate wrt comment #4.
Comment 6 Fedora End Of Life 2013-12-21 04:18:48 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2014-02-05 07:54:14 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.